MODULE inv_bar_vel_mod

!! Modules used
  USE oce
  USE dom_oce
  USE sbcflx
  USE sbc_oce

!  REAL(wp), DIMENSION(jpi,jpj) :: apgu, apgv  !Pres grad force u and v component
  PUBLIC inv

CONTAINS

  SUBROUTINE inv(kt)
  USE oce
  USE dom_oce
  USE sbcflx
  USE sbc_oce

  INTEGER, INTENT ( in ) :: kt ! ocean time step

!  REAL(wp), INTENT(in, out) :: ua,va
!  REAL(wp), DIMENSION(jpi,jpj) :: apgu, apgv  !Pres grad force u and v component
  
!  IF ( ln_shelf_flx ) then
! Adjust the velocity
!  write(10,*)'kt = ', kt

  Do jk = 1, jpk
   Do jj = 1, jpj !should this be jpjm1 because the apgu and apgv were calcd with jpjm1?
     Do ji = 1, jpi
!  Do jk = 1, jpk-1
!   Do jj = 2, jpj-1 !should this be jpjm1 because the apgu and apgv were calcd with jpjm1?
!     Do ji = 2, jpi-1
       ua(ji,jj,jk) = ua(ji,jj,jk) + apgu(ji,jj)
       va(ji,jj,jk) = va(ji,jj,jk) + apgv(ji,jj)
!       write(10,*)ua(ji,jj,jk)
!       write(11,*)va(ji,jj,jk)
     End do
   End do
  End do
!  ENDIF
END SUBROUTINE inv
END MODULE inv_bar_vel_mod
